org.apache.coyote.http11.upgrade

## Class AprProcessor

- java.lang.Object
- - org.apache.coyote.http11.upgrade.AbstractProcessor<Long>
  - - org.apache.coyote.http11.upgrade.AprProcessor

- All Implemented Interfaces:
    WebConnection, Processor<Long>

      public class AprProcessor
      extends AbstractProcessor<Long>

- - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AprProcessor(SocketWrapper<Long> wrapper, HttpUpgradeHandler httpUpgradeProcessor, AprEndpoint endpoint, int asyncWriteBufferSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Log` | `getLog()`

    - ### Methods inherited from class org.apache.coyote.http11.upgrade.AbstractProcessor

      `asyncDispatch, asyncPostProcess, close, errorDispatch, event, getExecutor, getHttpUpgradeHandler, getInputStream, getOutputStream, getRequest, getUpgradeInbound, isAsync, isComet, isUpgrade, process, recycle, setSslSupport, upgradeDispatch, upgradeDispatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AprProcessor

          public AprProcessor(SocketWrapper<Long> wrapper,
                      HttpUpgradeHandler httpUpgradeProcessor,
                      AprEndpoint endpoint,
                      int asyncWriteBufferSize)

  - ### Method Detail

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `AbstractProcessor<Long>`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.